
/**
 *
 * Andre Hiroshi Tanaka
 * andrehtgti2@gmail.com
 * Tanaka Tecnologia da Informacao LTDA
 * www.andretanaka.com.br
 *
 */

package br.com.andretanaka.jsf1basico.controller;

import br.com.andretanaka.jsf1basico.model.CalculaAHT;
import br.com.andretanaka.jsf1basico.view.ManagedBeanDaTelaInicio;
import br.com.andretanaka.jsf1basico.view.ManagedBeanDaTelaResultado;
import java.io.Serializable;
import java.util.Map;
import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;

/**
 *
 * Andre Hiroshi Tanaka
 * andrehtgti2@gmail.com
 * Tanaka Tecnologia da Informacao LTDA
 * www.andretanaka.com.br
 *
 */
public class ControllerTelaInicio implements Serializable{
    
    private Map getSessionMapAHT(){
	return FacesContext.getCurrentInstance().getExternalContext().getSessionMap();
    }
    
    public String calculaENavegaParaTelaDeResultado(){	
	ManagedBeanDaTelaInicio managedBeanDaTelaInicio = (ManagedBeanDaTelaInicio) getSessionMapAHT().get("managedBeanDaTelaInicio");
	int n1 = 0;
	int n2 = 0;
	int resultado = 0;
	try {
	    n1 = Integer.parseInt(managedBeanDaTelaInicio.getNumero1());
	} catch (Throwable e) {
	    String m = "Numero Invalido Digitado no Numero1! Erro ao tentar converter a string " + managedBeanDaTelaInicio.getNumero1() + " para numero" + " - " + e.getMessage();
	    FacesMessage facesMessage = new FacesMessage(m);
	    FacesContext.getCurrentInstance().addMessage(m, facesMessage);
	    return null;
	}
	try {
	    n2 = Integer.parseInt(managedBeanDaTelaInicio.getNumero2());
	} catch (Throwable e) {
	    String m = "Numero Invalido Digitado no Numero2! Erro ao tentar converter a string " + managedBeanDaTelaInicio.getNumero2() + " para numero" + " - " + e.getMessage();
	    FacesMessage facesMessage = new FacesMessage(m);
	    FacesContext.getCurrentInstance().addMessage(m, facesMessage);
	    return null;
	}
	try {
	    CalculaAHT calculaAHT = new CalculaAHT();
	    int res = calculaAHT.soma(n1, n2);
	    ManagedBeanDaTelaResultado managedBeanDaTelaResultado = new ManagedBeanDaTelaResultado();
	    managedBeanDaTelaResultado.setResultado(String.valueOf(res));
	    getSessionMapAHT().put("managedBeanDaTelaResultado", managedBeanDaTelaResultado);
	} catch (Throwable e) {
	    String m = "Erro ao tentar somar " + managedBeanDaTelaInicio.getNumero1() + " com " + managedBeanDaTelaInicio.getNumero2() + " - " + e.getMessage();
	    FacesMessage facesMessage = new FacesMessage(m);
	    FacesContext.getCurrentInstance().addMessage(m, facesMessage);
	    return null;
	}
	return "TELA_RESULTADO";    //navega para a tela resultado.xhtml cadastrado no arquivo faces-config.xml
    }
    
    

}
/**
 *
 * Andre Hiroshi Tanaka
 * andrehtgti2@gmail.com
 * Tanaka Tecnologia da Informacao LTDA
 * www.andretanaka.com.br
 *
 */